Index: netapplet-1.0.8/configure.in
===================================================================
--- netapplet-1.0.8.orig/configure.in	2012-01-08 07:14:38.888834567 +0900
+++ netapplet-1.0.8/configure.in	2012-01-08 08:06:42.466981725 +0900
@@ -40,7 +40,7 @@
 
 ### get cflags and libs
 
-PKG_CHECK_MODULES(NETAPPLET, libgnomeui-2.0 libglade-2.0 gnome-keyring-1)
+PKG_CHECK_MODULES(NETAPPLET, libgnomeui-2.0 libglade-2.0 gnome-keyring-1 x11)
 PKG_CHECK_MODULES(NETDAEMON, glib-2.0)
 
 ### look for iwlib
@@ -53,6 +53,10 @@
   AC_SUBST(NETDAEMON_LIBS)
 fi
 
+### math
+NETDAEMON_LIBS="$NETDAEMON_LIBS -lm"
+AC_SUBST(NETDAEMON_LIBS)
+
 ### ugh, which crappy iwlib API?
 
 AC_MSG_CHECKING([for the old iw_extract_event_stream() format])
